<script>
  import config from './config'
  import { getToken } from '@/utils/auth'

  export default {
    onLaunch: function() {
			uni.removeStorageSync('filePath');
			uni.removeStorageSync('fileName');
      this.initApp()
    },
		mounted() {
			this.$root.$wsEventBus.$on('websocket-message', this.handleMessage);
		},
    methods: {
			handleMessage(data) {
				uni.showToast({
					title: '加载中',
					
				})
			},
      // 初始化应用
      initApp() {
        // 初始化应用配置
        this.initConfig()
        // 检查用户登录状态
        //#ifdef H5
        this.checkLogin()
        //#endif
      },
      initConfig() {
        this.globalData.config = config
      },
      checkLogin() {
        if (!getToken()) {
          this.$tab.reLaunch('/pages/login') 
        }
      }
    }
  }
</script>

<style lang="scss">
  @import '@/static/scss/index.scss'
</style>
